# Generated by Django 2.1.13 on 2019-10-11 16:02

from django.db import migrations


def reset_home_page(apps, schema_editor):
    ContentType = apps.get_model('contenttypes.ContentType')
    WagtailPage = apps.get_model('wagtailcore.Page')
    Site = apps.get_model('wagtailcore.Site')
    SitePage = apps.get_model('base.SitePage')

    # Create page content type
    sitepage_content_type, created = ContentType.objects.get_or_create(
        model='sitepage',
        app_label='base'
    )

    # Create home page
    homepage = SitePage.objects.create(
        title="Bienvenue sur votre nouveau site Wagtail !",
        slug='',
        content_type=sitepage_content_type,
        path='00010002',
        depth=2,
        numchild=0,
        url_path='/',
    )

    # Update default site
    site = Site.objects.get(is_default_site=True)
    old_root = site.root_page
    site.root_page_id=homepage.id
    site.save()

    # Delete unwanted root
    wagtailpage_content_type = ContentType.objects.get(
        model='page',
        app_label='wagtailcore'
    )
    if old_root.content_type == wagtailpage_content_type:
        old_root.delete()


class Migration(migrations.Migration):

    dependencies = [
        ('wagtailadmin', '0001_create_admin_access_permissions'),
        ('base', '0001_initial'),
    ]

    operations = [
        migrations.RunPython(
            reset_home_page,
        ),
    ]
